#### Seurat settings ####
#########################
rmd <- paste0(snakemake@config$rule_dir,"/../scripts/scRNA-seq/kb_seurat_pp.Rmd")
barcode_file <- paste(snakemake@config$genome_dir,snakemake@config$seurat$barcode_file, sep="/")
mt_genes_file <- paste(snakemake@config$genome_dir,snakemake@config$seurat$mt_genes_file, sep="/")

#Render markdown file
rmarkdown::render(rmd, params = list(method = snakemake@config$seurat$method,
                                    kb.dir =  paste0(snakemake@config$result_dir,"/kallistobus"), 
                                    resultsdir = snakemake@output$qc_dir,
                                    barcode_file =  barcode_file,
                                    mt_genes_file = mt_genes_file,
                                    isvelo = snakemake@params$isvelo,
                                    run.sct = snakemake@config$seurat$run.sct,
                                    run.jackstraw =  snakemake@config$seurat$run.jackstraw,
                                    add.spikes.ercc = snakemake@config$seurat$add.spikes.ercc,
                                    add.spikes.mt = snakemake@config$seurat$add.spikes.mt,
                                    mt_pct_max =  snakemake@config$seurat$mt_pct_max,
                                    ercc_pct_max =  snakemake@config$seurat$ercc_pct_max,
                                    gene_tresh = snakemake@config$seurat$gene_tresh,
                                    amount_cells_expr = snakemake@config$seurat$amount_cells_expr,
                                    total_counts_tresh = snakemake@config$seurat$total_counts_tresh,
                                    total_feat_tresh = snakemake@config$seurat$total_feat_tresh,
                                    nhvg = snakemake@config$seurat$nhvg,
                                    pcs_for_overview = snakemake@config$seurat$pcs_for_overview,
                                    pcs_max_hvg = snakemake@config$seurat$pcs_max_hvg,
                                    meta_data = "",
                                    meta_type = "default",
                                    extract_meta_columns = "",
                                    meta_group_id = "library",
                                    lab_col = "library",
                                    umap_cols = "library",
                                    confounders_to_test = "library",
                                    cell_id_filter_option = "none",
                                    cell_id_filter_pattern = "",
                                    vars_to_regress_sf = "nCount_sf",
                                    vars_to_regress_uf = "nCount_uf",
                                    old_col_pattern = "",
                                    new_col_pattern = ""), 
                                    output_file =  snakemake@output$html)
